Bug 1170 - (int-51969) Excessive power consumption with certain wlan access points
(int-51969)
: Excessive power consumption with certain wlan access points
Status: RESOLVED WONTFIX
Product: Connectivity
WiFi
: unspecified
: All All
: Medium normal with 1 vote (vote)
: ---
Assigned To: Maemo QA (deprecated)
: Maemo QA (deprecated)
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-23 22:57 UTC by Ilkka Koho
Modified: 2008-06-03 20:59 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Ilkka Koho (reporter) 2007-03-23 22:57:17 UTC
With some wlan access points the device consumes excessive power even when 
idle. The device is noticeably warm to the touch and consumes a full battery 
within a couple of idle hours. This problem appeared with my Zyxel P660HW-61 
after updating to the latest firmare V3.40(PE.11). The problem occurs with 
both b/g modes and both static IPs and DHCP. The N800 has the latest firmware 
OS 2007 edition v. 3.2007.10-7. The wlan is configured to basic g-only mode 
with WPA-PSK.
Comment 1 Neil MacLeod maemo.org 2007-03-24 15:35:51 UTC
Excessive N800 power consumption in connection with WLANs has been confirmed by
others and discussed in the newsgroup - here's a link to the thread:
http://www.gossamer-threads.com/lists/maemo/users/17140#17140
Comment 2 Jake Kunnari 2007-03-28 17:18:11 UTC
Accepted and reported to upstream developers
Comment 3 Leif Ryge 2007-07-07 13:55:14 UTC
Are the count of bytes sent and received (shown in Connection manager) steadily
increasing when you're connected to this network? I have observed N800s getting
warm while they flood the network with superfluous DHCP requests (bug #1627).
Comment 4 Leif Ryge 2007-07-07 23:26:13 UTC
Sorry, I didn't notice that you said it happens with a static IP too; disregard
my last message.
Comment 5 James Carter 2008-04-29 18:54:37 UTC
Just thought I would add some more notes to which may help with detecting this
bug.

I can confirm this is present in: OS2008 2.2007.51-3 on an N800

The router in question is: Linksys BEFW11S4 (B only)

The internet works fine, and connects first time. Signal strength is also very
good, and there's no noticeable lag when viewing web pages.

Am I surrounded by access points with a different SID (multiple with same SID).
The one I'm connected to is a single access point.

In other locations I have been connected to wireless fine when surrounded by
other access points (but not multiple with same SID).
Comment 6 Andre Klapper maemo.org 2008-06-03 20:59:06 UTC
Also happened with ZyXEL P-660HW-D1 where a firmware update fixed the
behaviour.

Nearly all cases describing these problems that I have found turned out to be a
problem of the access point violating WLAN specs.

According to the internal ticket, Nokia people worked on a workaround, but
"applying it might break something else, would violate the spec and would solve
the problem only partially. Thus marking this bug as wontfix."